part of 'generated.dart';

class DeleteStaffVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteStaffVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteStaffData> dataDeserializer = (dynamic json)  => DeleteStaffData.fromJson(jsonDecode(json));
  Serializer<DeleteStaffVariables> varsSerializer = (DeleteStaffVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteStaffData, DeleteStaffVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteStaffData, DeleteStaffVariables> ref() {
    DeleteStaffVariables vars= DeleteStaffVariables(id: id,);
    return _dataConnect.mutation("DeleteStaff", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteStaffStaffDelete {
  final String id;
  DeleteStaffStaffDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffStaffDelete otherTyped = other as DeleteStaffStaffDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteStaffStaffDelete({
    required this.id,
  });
}

@immutable
class DeleteStaffData {
  final DeleteStaffStaffDelete? staff_delete;
  DeleteStaffData.fromJson(dynamic json):
  
  staff_delete = json['staff_delete'] == null ? null : DeleteStaffStaffDelete.fromJson(json['staff_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffData otherTyped = other as DeleteStaffData;
    return staff_delete == otherTyped.staff_delete;
    
  }
  @override
  int get hashCode => staff_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (staff_delete != null) {
      json['staff_delete'] = staff_delete!.toJson();
    }
    return json;
  }

  DeleteStaffData({
    this.staff_delete,
  });
}

@immutable
class DeleteStaffVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteStaffVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteStaffVariables otherTyped = other as DeleteStaffVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteStaffVariables({
    required this.id,
  });
}

